LinksCreate link
Links

Create link

Create a new short link. The link is assigned a unique slug and automatically tracks click analytics including referrers, geography, and device information.

curl -X POST "https://api.mythic-analytics.com/api/v1/links" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "destination_url": "https://acme-retail.com/summer-sale",
  "slug": "summer-sale",
  "title": "Summer Sale Campaign",
  "client_id": "acme-retail",
  "tags": [
    "campaign",
    "summer-2024"
  ],
  "password": "example_string",
  "expires_at": "2024-12-25T10:00:00Z",
  "metadata": {}
}'
{
  "success": true,
  "data": {
    "id": "lnk_9xP3qLmN",
    "destination_url": "https://acme-retail.com/summer-sale",
    "short_url": "https://go.mythic-analytics.com/summer-sale",
    "slug": "summer-sale",
    "title": "Summer Sale Campaign",
    "client_id": "acme-retail",
    "clicks": 1247,
    "tags": [
      "example_string"
    ],
    "has_password": false,
    "expires_at": "2024-12-25T10:00:00Z",
    "metadata": {},
    "created_at": "2024-06-01T12:00:00.000Z",
    "updated_at": "2024-06-15T08:30:00.000Z"
  }
}
POST
/links
POST
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Content-Typestring
Required

The media type of the request body

Options: application/json
destination_urlstring
Required

Target URL the short link redirects to.

Format: uri
slugstring

Custom slug. Auto-generated if omitted.

titlestring

Human-readable title.

client_idstring

Associate the link with a client tenant.

tagsarray

Tags for organizing links.

passwordstring

Optional password protection for the link.

expires_atstring

Optional expiration date.

Format: date-time
metadataobject

Arbitrary JSON metadata.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Body

application/json
destination_urlstring
Required

Target URL the short link redirects to.

slugstring

Custom slug. Auto-generated if omitted.

titlestring

Human-readable title.

client_idstring

Associate the link with a client tenant.

tagsarray

Tags for organizing links.

passwordstring

Optional password protection for the link.

expires_atstring

Optional expiration date.

metadataobject

Arbitrary JSON metadata.

Responses